org.springframework.cloud.dataflow.rest.util

## Class ProcessOutputResource

- java.lang.Object
- - org.springframework.core.io.AbstractResource
  - - org.springframework.cloud.dataflow.rest.util.ProcessOutputResource

- All Implemented Interfaces:
    CheckableResource, org.springframework.core.io.InputStreamSource, org.springframework.core.io.Resource

      public class ProcessOutputResource
      extends org.springframework.core.io.AbstractResource
      implements CheckableResource

  `Resource` implementation to create an operating system process process and capture its output.
  Author:
    Mike Heath

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessOutputResource(String... command)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check()`
    `String` | `getDescription()`
    `InputStream` | `getInputStream()`
    `String` | `toString()`

    - ### Methods inherited from class org.springframework.core.io.AbstractResource

      `contentLength, createRelative, equals, exists, getFile, getFileForLastModifiedCheck, getFilename, getURI, getURL, hashCode, isFile, isOpen, isReadable, lastModified, readableChannel`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.core.io.Resource

      `contentLength, createRelative, exists, getFile, getFilename, getURI, getURL, isFile, isOpen, isReadable, lastModified, readableChannel`

- - ### Constructor Detail

    - #### ProcessOutputResource

          public ProcessOutputResource(String... command)

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `org.springframework.core.io.Resource`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in interface `org.springframework.core.io.InputStreamSource`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `org.springframework.core.io.AbstractResource`

    - #### check

          public void check()
                     throws IOException

      Specified by:
        `check` in interface `CheckableResource`
      Throws:
        `IOException`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.